#!/usr/bin/env python


"""\
Do different inversion for different scenarios.
"""

from datetime import datetime
import os
import smartcarb as sc



NO2_noise = 'low' # 'high'
CO2_noise = 'low' # low, middle, high

plume_tracer = 'NO2' # or CO2

# number of pixels in plume  threshold: sqrt( 3.0 * sigma**2 / sqrt(N) + bg**2 )
N = 9 # 9=3x3, 36=6x6, 81=9x9; in PM-3, we used 81

# BG should also include sigma



path = '/scratch/snx3000/gkuhl/smartcarb/level2/Sentinel_7_CO2'
fnames = sc.io.list_level2_filenames('../../level2/orbits_over_berlin.dat', path)
times = array([datetime.strptime(os.path.basename(fn).split('_')[3], '%Y%m%d%H') for fn in fnames])




